<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sms_senders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('sms_credential_id')->constrained('sms_credentials')->cascadeOnDelete();
            $table->string('sender_id');
            $table->timestamps();
            $table->unique(['sms_credential_id', 'sender_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sms_senders');
    }
};
